# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-samsung-espresso10
pkgdesc="Samsung Galaxy Tab 2 (10.1 inch)"
pkgver=0.2
pkgrel=0
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base linux-samsung-espresso10 mkbootimg mesa-dri-swrast"
makedepends="devicepkg-dev"
source="deviceinfo"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
}

nonfree_firmware() {
	pkgdesc="Wifi firmware"
	depends="firmware-samsung-espresso10"
	mkdir "$subpkgdir"
}

sha512sums="ff78627bf790d68c930509ab09e84234c0b630e05263b6936491ac651d855d29b65e379c82374002d2467e29a9084c4b1a5570060d413f38de7df113cf432898  deviceinfo"
